Name:          libmbim
Version:       1.8.0
Release:       1mamba
Summary:       A library for talking to WWAN modems and devices which speak the Mobile Interface Broadband Model (MBIM) protocol
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.freedesktop.org/wiki/Software/libmbim/
Source:        http://www.freedesktop.org/software/libmbim/libmbim-%{version}.tar.xz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libffi-devel
BuildRequires: libglib-devel
BuildRequires: libpcre-devel
BuildRequires: libselinux-devel
BuildRequires: libsepol-devel
BuildRequires: libz-devel
BuildRequires: udev-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
libmbim is a glib-based library for talking to WWAN modems and devices which speak the Mobile Interface Broadband Model (MBIM) protocol.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%package tools
Group:         Applications/Networking
Summary:       Utility applications for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description tools
This package contains utility applications for %{name}.

%package apidocs
Group:         Documentation
Summary:       %{name} API documentation
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      gtk-doc

%description apidocs
This package includes the %{name} API documentation.

%debug_package

%prep
%setup -q

%build
%configure --enable-gtk-doc
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libmbim-glib.so.*
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%dir %{_includedir}/libmbim-glib
%{_includedir}/libmbim-glib/*.h
%{_libdir}/libmbim-glib.a
%{_libdir}/libmbim-glib.la
%{_libdir}/libmbim-glib.so
%{_libdir}/pkgconfig/mbim-glib.pc
%doc NEWS

%files tools
%defattr(-,root,root)
%{_bindir}/mbim-network
%{_bindir}/mbimcli
%{_mandir}/man1/mbim-network.1*
%{_mandir}/man1/mbimcli.1*

%files apidocs
%defattr(-,root,root)
%dir %{_datadir}/gtk-doc/html/libmbim-glib
%{_datadir}/gtk-doc/html/libmbim-glib/*

%changelog
* Sun Mar 16 2014 Automatic Build System <autodist@mambasoft.it> 1.8.0-1mamba
- automatic version update by autodist

* Sun Mar 02 2014 Automatic Build System <autodist@mambasoft.it> 1.6.0-1mamba
- automatic version update by autodist

* Sun Nov 24 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.0-1mamba
- package created using the webbuild interface
